import { sveltekit } from '@sveltejs/kit/vite';
import { defineConfig } from 'vite';

export default defineConfig({
  plugins: [sveltekit()],
  server: {
    host: true,
    port: 5173,
    allowedHosts: [
      '10.80.146.81',
      'counter.mixtech.dev.br'
    ],
    hmr: {
      host: 'counter.mixtech.dev.br',
      protocol: 'wss',
      clientPort: 443
    }
  }
});
